import { ValidationContext } from "./ValidationContext";
import { ValidationState } from "./ValidationState";
import { Statistics } from "3d-tiles-tools";
/**
 * A class for validations related to `statistics` objects.
 *
 * @internal
 */
export declare class StatisticsValidator {
    /**
     * Performs the validation to ensure that the given object is a
     * valid `statistics` object.
     *
     * @param path - The path for `ValidationIssue` instances
     * @param statistics - The object to validate
     * @param validationState - The `ValidationState`.
     * @param context - The `ValidationContext` that any issues will be added to
     * @returns Whether the object was valid
     */
    static validateStatistics(path: string, statistics: Statistics, validationState: ValidationState, context: ValidationContext): boolean;
}
//# sourceMappingURL=StatisticsValidator.d.ts.map